summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@digia.com>2014-02-04 16:14:51 +0100
committerEike Ziller <eike.ziller@digia.com>2014-02-04 16:38:23 +0100
commit0eae69674354a30bd480dc211c3d5f3434e44cd9 (patch)
tree7231b84b42bfe3beb39fd9957d0773d1a2060163 /scripts
parentb7c7a8206055cf14994733e453a2099f7b92570e (diff)
downloadqt-creator-0eae69674354a30bd480dc211c3d5f3434e44cd9.tar.gz
Mac: Don't fail with error if deployqt is called multiple times
Change-Id: I19753fab58dae1e430adc76b96af4ef7ea690995 Reviewed-by: Eike Ziller <eike.ziller@digia.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/deployqtHelper_mac.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index ca73dac383..c82dcad6b6 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -57,11 +57,13 @@ cp "$2"/*.qm "$1/Contents/Resources/translations/" || exit 1
# copy libclang if needed
if [ $LLVM_INSTALL_DIR ]; then
- cp -f "$LLVM_INSTALL_DIR"/lib/libclang.dylib "$1/Contents/PlugIns/" || exit 1
+ if [ "$LLVM_INSTALL_DIR"/lib/libclang.dylib -nt "$1/Contents/PlugIns"/libclang.dylib ]; then
+ cp -f "$LLVM_INSTALL_DIR"/lib/libclang.dylib "$1/Contents/PlugIns/" || exit 1
+ fi
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/QtProject/libClangCodeModel_debug.dylib"
if [ ! -f "$_CLANG_CODEMODEL_LIB" ]; then
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/QtProject/libClangCodeModel.dylib"
fi
- xcrun install_name_tool -delete_rpath "$LLVM_INSTALL_DIR/lib" -add_rpath "@loader_path/.." "$_CLANG_CODEMODEL_LIB"
+ xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/.." "$_CLANG_CODEMODEL_LIB" || true
fi